import { Component, OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import {MemberService} from '../../../services/member.service';
import {Router} from '@angular/router';
import { TokenService } from 'src/app/services/token.service';

@Component({
  selector: 'app-member-detail',
  templateUrl: './member-detail.component.html',
  styleUrls: ['./member-detail.component.css']
})
export class MemberDetailComponent implements OnInit {

  authToken: any;
  memberdetail: any;
  memid: any;

  constructor(
    private route: ActivatedRoute,
    private http: HttpClient,
    private router: Router,
    private memberService: MemberService,
    private token: TokenService,
    ) {
    this.route.params.subscribe(para => {
      // console.log(para.id);
      this.memid = para.id;
    });
   }

  ngOnInit() {

      this.memberService.getMember(this.memid).subscribe((resp: any) => {
      this.memberdetail = resp.member;
      console.log(this.memberdetail);
    },
    err => {
      console.log(err);
      return false;
    });
  }

}
