import { Component, OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import {GetuserService} from '../../../services/getuser.service';
import {Router} from '@angular/router';

@Component({
  selector: 'app-admin-detail',
  templateUrl: './admin-detail.component.html',
  styleUrls: ['./admin-detail.component.css']
})
export class AdminDetailComponent implements OnInit {

  authToken: any;
  admindetail: any;
  adminid: any;

  constructor(
    private route: ActivatedRoute,
    private http: HttpClient,
    private router: Router,
    private userService: GetuserService,
  ) {
    this.route.params.subscribe(para => {
      // console.log(para.id);
      this.adminid = para.id;
    });
   }

  ngOnInit() {
    this.userService.getUserDetail(this.adminid).subscribe((resp: any) => {
      this.admindetail = resp.users;
      console.log(this.admindetail);
    },
    err => {
      console.log(err);
      return false;
    });
  }

}
